summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorA. Wilcox <AWilcox@Wilcox-Tech.com>2017-09-23 18:45:24 -0500
committerA. Wilcox <AWilcox@Wilcox-Tech.com>2017-09-23 18:45:24 -0500
commit4b70dd97e99c7091e718f66b0f20668422c97de6 (patch)
tree55b2cb34c2323efce7f47de8c7bc5398ab268f44
parent28fa3aa727e7756cb345f465c789955e81f3029b (diff)
downloadimage-4b70dd97e99c7091e718f66b0f20668422c97de6.tar.gz
image-4b70dd97e99c7091e718f66b0f20668422c97de6.tar.bz2
image-4b70dd97e99c7091e718f66b0f20668422c97de6.tar.xz
image-4b70dd97e99c7091e718f66b0f20668422c97de6.zip
PowerPC: fixes, thanks @Elizafox
-rw-r--r--iso-params-ppc2
-rw-r--r--mapping-ppc5
-rw-r--r--post-ppc.sh13
-rw-r--r--ppc/early.cfg2
-rw-r--r--ppc/grub.cfg25
-rw-r--r--ppc/ofboot.b (renamed from ofboot.b)0
6 files changed, 44 insertions, 3 deletions
diff --git a/iso-params-ppc b/iso-params-ppc
index fa096f8..1f08e9e 100644
--- a/iso-params-ppc
+++ b/iso-params-ppc
@@ -1 +1 @@
--hfs -hfs-volid Adelie_1.0a3 -part -no-desktop -map mapping-ppc -chrp-boot -prep-boot -hfs-bless cdroot-ppc/boot
+-hfs -hfs-volid Adelie_1.0a3 -part -no-desktop -map mapping-ppc -hfs-bless cdroot-ppc/boot -chrp-boot -prep-boot boot/grubcore.img
diff --git a/mapping-ppc b/mapping-ppc
index 4c945c4..861975c 100644
--- a/mapping-ppc
+++ b/mapping-ppc
@@ -1,4 +1,9 @@
# EXTN XLate CREATOR TYPE Comment
.b Raw 'chrp' 'tbxi' "Macintosh Toolbox ROM file"
.squashfs Raw 'UNIX' 'UNIX' "Linux Root File System"
+.cfg Raw 'AAPL' 'TEXT' "Configuration file"
+.txt Raw 'AAPL' 'TEXT' "Plain text file"
+.img Raw 'UNIX' 'UNIX' "GRUB bootable image file"
+bzImage Raw 'UNIX' 'UNIX' "Linux kernel"
+initrd Raw 'UNIX' 'UNIX' "Linux boot disk"
* Raw '????' '????' "Unknown"
diff --git a/post-ppc.sh b/post-ppc.sh
index 33e7cbe..2b6480a 100644
--- a/post-ppc.sh
+++ b/post-ppc.sh
@@ -1,4 +1,13 @@
mkdir -p cdroot-ppc/boot
-curl "https://distfiles.adelielinux.org/adelie/1.0-alpha/ppc/grubcore.img" > cdroot-ppc/boot/grubcore.img
-curl "https://distfiles.adelielinux.org/adelie/1.0-alpha/ppc/ofboot.b" > cdroot-ppc/boot/ofboot.b
+
+if ! type grub-mkimage>/dev/null; then
+ echo "GRUB image cannot be created. Using stale copy."
+ curl "https://distfiles.adelielinux.org/adelie/1.0-alpha/ppc/grubcore.img" > cdroot-ppc/boot/grubcore.img
+else
+ grub-mkimage -c ppc/early.cfg -v -p boot -o cdroot-ppc/boot/grubcore.img -O powerpc-ieee1275 boot btrfs datetime disk ext2 gfxmenu help hfs hfsplus ieee1275_fb iso9660 jfs ls luks lvm macbless macho nilfs2 ofnet part_apple part_gpt part_msdos png scsi search xfs linux reboot gfxterm gfxterm_background gfxterm_menu
+fi
+
+cp AdelieTux.icns 'cdroot-ppc/Icon '
+cp ppc/grub.cfg cdroot-ppc/boot/grub.cfg
+cp ppc/ofboot.b cdroot-ppc/boot/ofboot.b
cp cdroot-ppc/boot/ofboot.b cdroot-ppc/boot/bootinfo.txt
diff --git a/ppc/early.cfg b/ppc/early.cfg
new file mode 100644
index 0000000..1fa86fa
--- /dev/null
+++ b/ppc/early.cfg
@@ -0,0 +1,2 @@
+search.fs_label Adelie_1.0a3 root
+set prefix=($root)/boot
diff --git a/ppc/grub.cfg b/ppc/grub.cfg
new file mode 100644
index 0000000..4288662
--- /dev/null
+++ b/ppc/grub.cfg
@@ -0,0 +1,25 @@
+menuentry "Adelie Linux 1.0-alpha3 Live (PowerPC 32-bit)" --class linux --id adelie-live-cd {
+ insmod part_apple
+ insmod iso9660
+ insmod linux
+ search --label "Adelie_1.0a3" --hint cd,apple2
+ linux /bzImage
+ initrd /initrd
+}
+
+#menuentry "Adelie Linux 1.0-alpha3 Live (PowerPC 64-bit)" --class linux --id adelie-live-64 {
+# insmod part_apple
+# insmod iso9660
+# insmod linux
+# search --label "Adelie_1.0a3" --hint cd,apple2
+# linux /bzImage64
+# initrd /initrd64
+#}
+
+menuentry "Reboot and Try Again" --class reboot --id reboot {
+ reboot
+}
+
+GRUB_DEFAULT=adelie-live-cd
+GRUB_TIMEOUT=10
+GRUB_DISTRIBUTOR="Adelie"
diff --git a/ofboot.b b/ppc/ofboot.b
index 0598597..0598597 100644
--- a/ofboot.b
+++ b/ppc/ofboot.b